
set ::newk::cf "/var/lib/humaxtv/mod/newk.conf"

proc ::newk::scan {args} {
	if {![catch {set fp [open $::newk::cf r]}]} {
		set clist [split [read $fp] "\n"]
	} else {
		set clist {}
	}

	if {[llength $clist] == 0} return

	set commit 0
	foreach r [rsv list] {
		set path [system strip [$r get szFPBRecPath]]
		if {$path eq ""} continue
		newklog "newk: checking [$r name] - $path" 2

		foreach c $clist {
			if {[string index $c 0] == "#"} continue
			if {[string trim $c] == ""} continue
			if {[string match -nocase "$c*" $path]} {
				newklog "newk: removing $c from $path"
				$r clear_ulslot
				$r set_folder [string trim [\
				    string range $path [string length $c] end]]
				$r insert pending 0 1
				incr commit
			}
		}
	}
	if {$commit} { rsv commit 0 }
}

